## open-plc-utils 0.0.6%2Bgit20250218.cbf52f68

=== debian/changelog ===
open-plc-utils (0.0.6+git20250218.cbf52f68-1) unstable; urgency=medium

  * New upstream version (commit cbf52f68) with fix for FTBFS with gcc-15.
    Thanks to Michael Heimpold. (Closes: #1097508).

 -- Mark Hindley <leepen@debian.org>  Wed, 19 Feb 2025 15:15:16 +0000

open-plc-utils (0.0.6+git20230504.1ba7d5a0-1) unstable; urgency=medium

  * New upstream version, commit 1ba7d5a0.
  * d/control:
     - reword short description.
     - bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Thu, 04 May 2023 08:12:27 +0100

open-plc-utils (0.0.6+git20211210.358dfcf-2) unstable; urgency=medium

  * d/control:
     - reword and expand package descriptions.
     - mark plc-utils-doc multi-arch: foreign (multi-arch hinter).
     - wrap plc-utils long description (lintian).
  * d/gbp.conf: configure debian-branch.
  * d/copyright: add missing dot for continuation lines (lintian).
  * Add autopkgtest.

 -- Mark Hindley <leepen@debian.org>  Thu, 24 Mar 2022 09:54:07 +0000

open-plc-utils (0.0.6+git20211210.358dfcf-1) unstable; urgency=medium

  * Initial Debian package. (Closes: #1006977)

 -- Mark Hindley <leepen@debian.org>  Wed, 16 Mar 2022 14:56:11 +0000
