## open-plc-utils 0.0.6+git20211210.358dfcf

=== debian/control ===
Source: open-plc-utils
Section: net
Priority: optional
Maintainer: Mark Hindley <leepen@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/LeePen/open-plc-utils.git
Vcs-Browser: https://salsa.debian.org/LeePen/open-plc-utils
Homepage: https://github.com/qca/open-plc-utils

Package: plc-utils
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcap2-bin, sudo
Suggests: plc-utils-extra
Description: Basic toolkit for HomePlug Powerline network adapters with Atheros chipsets
 Utilities for users to query information from and flash firmware to the adapter
 chipsets.
 .
  - amptool: AR7400 and QCA7450 chipsets.
  - plctool: QCA6410, QCA7000 and QCA7420 chipsets.
  - int6k: INT6000, INT6300 and INT6400 legacy chipsets.

Package: plc-utils-extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: plc-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Extended toolkit for HomePlug Powerline network adapters with Atheros chipsets
 Additional tools and utilities that might be of use to hardware
 engineers and software developers working with Atheros Powerline
 chipsets and the HomePlug 1.0 and HomePlug AV protocols (IEEE-802.3).

Package: plc-utils-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Suggests: plc-utils
Description: Additional documentation from the Atheros Powerline toolkit
 Upstream developer documentation in HTML format relating to the
 toolkit utilities, chipsets and HomePlug 1.0 and HomePlug AV
 protocols (IEEE-802.3).
