## open-plc-utils 0.0.6+git20250218.cbf52f68

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Mark Hindley <leepen@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/LeePen/open-plc-utils.git
 Vcs-Browser: https://salsa.debian.org/LeePen/open-plc-utils
@@ -15,7 +15,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libcap2-bin, sudo
 Suggests: plc-utils-extra
-Description: Basic toolkit for HomePlug Powerline network adapters with Atheros chipsets
+Description: Toolkit for HomePlug Powerline network adapters with Atheros chipsets
  Utilities for users to query information from and flash firmware to the adapter
  chipsets.
  .
