=== debian/changelog ===
open-plc-utils (0.0.6+git20250517.7fb8ac5-1) unstable; urgency=medium

  * d/control: bump standards version (no changes).
  * New upstream version, commit 7fb8ac5.

 -- Mark Hindley <leepen@debian.org>  Wed, 02 Jul 2025 18:48:47 +0100
