=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts="mode=git, pgpmode=none, pretty=0.0.6+git%cd.%h" \
https://github.com/qca/open-plc-utils \
HEAD debian uupdate
